# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           ksshaskpass
Version:        0.5.3
Release:        alt1_5
Summary:        A KDE version of ssh-askpass with KWallet support

Group:          Networking/WWW
License:        GPLv2
URL:            http://www.kde-apps.org/content/show.php?content=50971
Source0:        http://www.kde-apps.org/CONTENT/content-files/50971-ksshaskpass-%{version}.tar.gz
Source1:        ksshaskpass-README.Fedora
Patch0:         ksshaskpass-0.5.1-desktopfile.patch

BuildRequires:  kde4libs-devel ctest cmake desktop-file-utils
Source44: import.info
#Requires:       openssh-clients

%description
%{summary}.

Please read %{_docdir}/%{name}-%{version}/README.Fedora for usage
instructions


%prep
%setup -q
%patch0 -p1 -b .desktopfile
cp -p %{SOURCE1} README.Fedora


%build
%{fedora_cmake} -DCMAKE_SKIP_RPATH:BOOL=YES .
make VERBOSE=1 %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Setup environment variables
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kde/env/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/kde/env/ksshaskpass.sh << EOF
SSH_ASKPASS=%{_bindir}/ksshaskpass
export SSH_ASKPASS
EOF

desktop-file-install  \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 \
    src/%{name}.desktop

# Remove *.la files
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%files
%doc ChangeLog COPYING README.Fedora
%{_bindir}/ksshaskpass
%config(noreplace) %{_sysconfdir}/kde/env/ksshaskpass.*
%{_mandir}/*/**
%{_datadir}/applications/kde4/*.desktop


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_5
- initial fc import

